Package ch.qos.logback.access.servlet

# Class TeeFilter

java.lang.Object
ch.qos.logback.access.servlet.TeeFilter

All Implemented Interfaces:
  `javax.servlet.Filter`

public class TeeFilter extends Object implements javax.servlet.Filter

## Constructor Summary

Constructors
Constructor
Description
`TeeFilter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`destroy()`
`void`
`doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain filterChain)`
`void`
`init(javax.servlet.FilterConfig filterConfig)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TeeFilter

public TeeFilter()

## Method Details

### destroy

public void destroy()

Specified by:
  `destroy` in interface `javax.servlet.Filter`

### doFilter

public void doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain filterChain) throws IOException, javax.servlet.ServletException

Specified by:
  `doFilter` in interface `javax.servlet.Filter`
Throws:
  `IOException`
  `javax.servlet.ServletException`

### init

public void init(javax.servlet.FilterConfig filterConfig) throws javax.servlet.ServletException

Specified by:
  `init` in interface `javax.servlet.Filter`
Throws:
  `javax.servlet.ServletException`